Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataStructure.matrix
Class StringMatrix2DNamed

    java.lang.Object
      baseCode.dataStructure.matrix.AbstractNamedMatrix
          baseCode.dataStructure.matrix.StringMatrix2DNamed

All Implemented Interfaces:
  NamedMatrix

public class StringMatrix2DNamed
extends AbstractNamedMatrix

A NamedMatrix containing String objects.

Copyright (c) 2004

Institution: Columbia University

Version:
  $Id: StringMatrix2DNamed.java,v 1.2 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`StringMatrix2DNamed(int x, int y)`

Method Summary
`int` | `columns()` Get the number of columns the matrix has.
`java.lang.Object` | `get(int row, int column)`
`java.lang.Object[]` | `getCol(int col)`
`java.lang.Object[]` | `getColObj(int col)`
`java.lang.Object` | `getQuick(int row, int column)`
`java.lang.Object[]` | `getRow(int row)`
`java.lang.Object[]` | `getRowObj(int row)` Get a row in the matrix as a generic Object[].
`boolean` | `isMissing(int i, int j)` Check if the value at a given index is missing.
`int` | `rows()` Get the number of rows the matrix has
`void` | `set(int row, int column, java.lang.Object value)` Set a value in the matrix.
`void` | `setQuick(int row, int column, java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`
`cern.colt.matrix.ObjectMatrix1D` | `viewColumn(int column)`
`cern.colt.matrix.ObjectMatrix1D` | `viewRow(int row)`

Methods inherited from class baseCode.dataStructure.matrix.AbstractNamedMatrix
`addColumnName, addColumnName, addRowName, addRowName, containsColumnName, containsRowName, getColIndexByName, getColName, getColNames, getRowIndexByName, getRowName, getRowNameMapIterator, getRowNames, hasColNames, hasRow, hasRowNames, numMissing, setColumnNames, setRowNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringMatrix2DNamed

    public StringMatrix2DNamed(int x,
                               int y)

Method Detail

### toString

    public java.lang.String toString()

  Returns:
    java.lang.String

### getRow

    public java.lang.Object[] getRow(int row)

### getCol

    public java.lang.Object[] getCol(int col)

### getRowObj

    public java.lang.Object[] getRowObj(int row)

  Description copied from interface: `NamedMatrix`
  Get a row in the matrix as a generic Object[]. This exists so NamedMatrices can be used more generically.

  Specified by:
    `getRowObj` in interface `NamedMatrix`
  Specified by:
    `getRowObj` in class `AbstractNamedMatrix`

### getColObj

    public java.lang.Object[] getColObj(int col)

  Specified by:
    `getColObj` in interface `NamedMatrix`
  Specified by:
    `getColObj` in class `AbstractNamedMatrix`

### isMissing

    public boolean isMissing(int i,
                             int j)

  Description copied from interface: `NamedMatrix`
  Check if the value at a given index is missing.

  Specified by:
    `isMissing` in interface `NamedMatrix`
  Specified by:
    `isMissing` in class `AbstractNamedMatrix`

### columns

    public int columns()

  Description copied from interface: `NamedMatrix`
  Get the number of columns the matrix has.

  Specified by:
    `columns` in interface `NamedMatrix`
  Specified by:
    `columns` in class `AbstractNamedMatrix`
  Returns:

### get

    public java.lang.Object get(int row,
                                int column)

  Parameters:
    `row` -
    `column` -
  Returns:

### getQuick

    public java.lang.Object getQuick(int row,
                                     int column)

  Parameters:
    `row` -
    `column` -
  Returns:

### rows

    public int rows()

  Description copied from interface: `NamedMatrix`
  Get the number of rows the matrix has

  Specified by:
    `rows` in interface `NamedMatrix`
  Specified by:
    `rows` in class `AbstractNamedMatrix`
  Returns:

### size

    public int size()

  Returns:

### viewColumn

    public cern.colt.matrix.ObjectMatrix1D viewColumn(int column)

  Parameters:
    `column` -
  Returns:

### viewRow

    public cern.colt.matrix.ObjectMatrix1D viewRow(int row)

  Parameters:
    `row` -
  Returns:

### set

    public void set(int row,
                    int column,
                    java.lang.Object value)

  Description copied from interface: `NamedMatrix`
  Set a value in the matrix.

  Specified by:
    `set` in interface `NamedMatrix`
  Specified by:
    `set` in class `AbstractNamedMatrix`
  Parameters:
    `row` -
    `column` -
    `value` -

### setQuick

    public void setQuick(int row,
                         int column,
                         java.lang.Object value)

  Parameters:
    `row` -
    `column` -
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.